Package com.independentsoft.office.spreadsheet.revisions

# Class RevisionQueryTable

java.lang.Object
com.independentsoft.office.spreadsheet.revisions.RevisionQueryTable

public class RevisionQueryTable extends Object
The Class RevisionQueryTable.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RevisionQueryTable()`
  Instantiates a new revision query table.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RevisionQueryTable`
  `clone()`
  `int`
  `getFieldID()`
  Gets the field id.
  `String`
  `getQueryTableReference()`
  Gets the query table reference.
  `int`
  `getSheetID()`
  Gets the sheet id.
  `void`
  `setFieldID​(int fieldID)`
  Sets the field id.
  `void`
  `setQueryTableReference​(String queryTableReference)`
  Sets the query table reference.
  `void`
  `setSheetID​(int sheetID)`
  Sets the sheet id.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RevisionQueryTable

    public RevisionQueryTable()
    Instantiates a new revision query table.

- ## Method Details

  - ### clone

    public RevisionQueryTable clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getQueryTableReference

    public String getQueryTableReference()
    Gets the query table reference.
    Returns:
      the query table reference

  - ### setQueryTableReference

    public void setQueryTableReference​(String queryTableReference)
    Sets the query table reference.
    Parameters:
      `queryTableReference` - the new query table reference

  - ### getFieldID

    public int getFieldID()
    Gets the field id.
    Returns:
      the field id

  - ### setFieldID

    public void setFieldID​(int fieldID)
    Sets the field id.
    Parameters:
      `fieldID` - the new field id

  - ### getSheetID

    public int getSheetID()
    Gets the sheet id.
    Returns:
      the sheet id

  - ### setSheetID

    public void setSheetID​(int sheetID)
    Sets the sheet id.
    Parameters:
      `sheetID` - the new sheet id